Transfers
Remove
Remove a file or folder.
POST
/
remove
curl -X POST https://api.byteport.com/remove \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"path": "Dropbox/tmp/*"
}'
{
"id": "trf_01HZ...",
"status": "queued"
}
Remove a file or folder. Removed paths are unrecoverable — preview first with
Preview if you want to dry-run the request.
Body parameters
string | string[]
required
Source location path.A valid file or folder path begins with the location, followed by a path
relative to the root directory. To remove multiple files, submit a string
array. Regex supported.Examples
"Production Bucket/archives/2026-04-21""Dropbox/*"
Example
curl -X POST https://api.byteport.com/remove \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"path": "Dropbox/tmp/*"
}'
{
"id": "trf_01HZ...",
"status": "queued"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Source location path. Regex supported.
curl -X POST https://api.byteport.com/remove \
-H "Authorization: Bearer bp_xxxxxxxxx" \
-H "User-Agent: my-app/1.0" \
-H "Content-Type: application/json" \
-d '{
"path": "Dropbox/tmp/*"
}'
{
"id": "trf_01HZ...",
"status": "queued"
}

